neko (2.2.0-2build2) disco; urgency=medium

  * No-change rebuild against libmbedtls12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Nov 2018 20:17:47 +0000

neko (2.2.0-2build1) bionic; urgency=medium

  * No-change rebuild against libmbedcrypto1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Feb 2018 08:46:10 +0000

neko (2.2.0-2) unstable; urgency=medium

  * Turned libapache2-mod-neko into Architecture: any.
    (Closes: #886427)
  * Bump Standards-Version to 4.1.3 (no changes).

 -- Andy Li <andy@onthewings.net>  Mon, 08 Jan 2018 09:45:01 +0800

neko (2.2.0-1) unstable; urgency=low

  * New upstream version.
  * Removed patches applied to upstream.
  * Convert to multiarch.
  * Add dh_missing --fail-missing check.
  * Updated d/watch to match new upstream download links.
  * Bump Standards-Version to 4.1.2 (no changes).
  * Disable parallel build since it is only supported by upstream
    when using Ninja.
  * Add autopkgtest support.

 -- Andy Li <andy@onthewings.net>  Wed, 20 Dec 2017 10:43:17 +0800

neko (2.1.0-4) unstable; urgency=medium

  * Updated dependencies of mariadb and mysql (Closes: #843841).
  * Enabled hardening (hardening=+all).

 -- Andy Li <andy@onthewings.net>  Thu, 10 Nov 2016 22:56:04 +0800

neko (2.1.0-3) unstable; urgency=medium

  * Added upstream patches
    + boot-c-1.diff and boot-c-2.diff: build nekoc, nekoml, and 
      nekotools with "nekotools boot -c file.n", such that the 
      output will be valid binaries.
    + tests-1.diff and tests-2.diff: add tests that run nekoc,
      nekoml, and nekotools.

 -- Andy Li <andy@onthewings.net>  Fri, 10 Jun 2016 18:21:00 +0800

neko (2.1.0-2) unstable; urgency=low

  * Added upstream patch, mincoming-stack-boundary.diff, that avoids
    using unavailable compiler flag (Closes: #825903).

 -- Andy Li <andy@onthewings.net>  Tue, 07 Jun 2016 08:16:58 +0800

neko (2.1.0-1) unstable; urgency=low

  * New upstream version.
    + Upstream now uses CMake to build.
    + libneko is now versioned in upstream. (libneko2)
    + The "nekotools booted" binaries can now be stripped correctly.
    + Use MariaDB for compiling mysql.ndll.
    + Updated d/copyright.
  * Converted libneko to Multi-Arch: same.
  * Fixed shlibdeps for the neko package.
  * Removed patches applied to upstream. Updated hurd.diff.
  * Updated d/watch pattern.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Andy Li <andy@onthewings.net>  Thu, 19 May 2016 22:00:37 +0800

neko (2.0.0-4) unstable; urgency=low

  * Adopt package (Closes: #628939).
    + Set maintainer to myself.
  * Set Vcs-* fields to Haxe Foundation neko-debian git repo.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Bump debhelper and compat level to 9.
  * Clean up d/rules.
  * Include patch to add dpkg-buildflags CFLAGS when compiling ndlls.
  * Add d/watch and get-orig-source target.
  * Convert d/copyright to format 1.0.
  * Add bash-completion, thanks to Tong.
  * Include patch of the upstream fix on JIT.

 -- Andy Li <andy@onthewings.net>  Sat, 19 Sep 2015 02:38:21 +0800

neko (2.0.0-3) unstable; urgency=low

  * QA upload.
  * Convert to dh-apache2.
  * Switch MPM to prefork in postinst; do not depend on apache2-mpm-prefork.

 -- Colin Watson <cjwatson@debian.org>  Sat, 13 Jul 2013 15:30:16 +0100

neko (2.0.0-2) unstable; urgency=low

  * QA upload.
  * Update copyright, changed to BSD.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jul 2013 16:32:32 +0200

neko (2.0.0-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
  * Properly orphan the package (see #628939).
  * Build-depend on apache2-dev, fix build errors with apache2.4.
    Closes: #666858.
  * Fix build failure with ld --as-needed. Closes: #641613.
  * Fix some lintian warnings.
  * TODO: Pass build flags to submodules. 

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jul 2013 14:47:28 +0200

neko (1.8.1-6) unstable; urgency=low

  * Include patch to fix compile errors on hurd-i386, thanks to Pino
    Toscano.
    (Closes: #626260)

 -- Jens Peter Secher <jps@debian.org>  Sun, 15 May 2011 18:44:31 +0200

neko (1.8.1-5) unstable; urgency=low

  * Avoid spurious build failures (stack overflows and segmentation
    faults) by using both -fno-strict-aliasing and lower optimisation
    level.
    (Closes: #569806)

 -- Jens Peter Secher <jps@debian.org>  Thu, 18 Feb 2010 22:26:27 +0100

neko (1.8.1-4) unstable; urgency=low

  * Attempt to fix executable_path() on kFreeBSD, which only seemed to
    work when invoked from bash, thanks to Roman Neuhauser.

 -- Jens Peter Secher <jps@debian.org>  Sat, 13 Feb 2010 16:34:13 +0100

neko (1.8.1-3) unstable; urgency=low

  * Converted to dpkg-source format 3.0 (quilt).
  * Use mercurial-buildpackage for repository maintenance, so old
    repository does not exist any more.
  * Bumped Standards-Version to 3.8.4, no change.
  * Use misc:Depends macro for all binary packages, and tighten depency
    for the header-files package.

 -- Jens Peter Secher <jps@debian.org>  Sat, 13 Feb 2010 15:20:34 +0100

neko (1.8.1-2) unstable; urgency=low

  * Do not install broken mysql5.ndll library.  The dynamically linked
    mysql.ndll works fine for all versions of MySql.
    (Closes: #542024)
  * Build-Depend on generic libmysqlclient-dev instead of specific
    version.
  * Fixed build failure on kFreeBSD, thanks to Cyril Brulebois.
    (Closes: #543995)
  * Bumped the Standards-Version to 3.8.3, no changes.

 -- Jens Peter Secher <jps@debian.org>  Wed, 09 Sep 2009 14:40:17 +0200

neko (1.8.1-1) unstable; urgency=low

  * New upstream version.
  * Bump SONAME to libneko.0.1 and make libneko0 conflict with previous
    version of neko-dev.
  * Change libapache2-mod-neko package section to httpd, and updated
    Standards-Version to 3.8.2.
  * Removed obsolete patch tora-pwrite-diversion.diff.
  * Added tora-missing-include.diff to include stdlib.h.
  * Added mysql-missing-include.diff to include stdlib.h.
    
 -- Jens Peter Secher <jps@debian.org>  Tue, 28 Jul 2009 22:32:00 +0200

neko (1.8.0-4) unstable; urgency=low

  * Fix broken NDLLs (shared libraries) by reverting some of the previous
    changes.

 -- Jens Peter Secher <jps@debian.org>  Sat, 28 Mar 2009 09:40:24 +0100

neko (1.8.0-3) unstable; urgency=low

  * Fix build failure on MIPS by tightening up the linking process.
  * Make neko-dev architecture independent since there are no binary files
    in neko-dev.
  * Bumped the Standards-Version to 3.8.1.
  * Bumped debhelper version to 7.

 -- Jens Peter Secher <jps@debian.org>  Thu, 26 Mar 2009 20:00:40 +0100

neko (1.8.0-2) unstable; urgency=low

  * Promoted libneko to a proper shared library living in /usr/lib.
    (Closes: #509454)    
  * No need to Build-Conflict with itself because all rpaths have been
    removed.
  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Strip all shared libraries.
  * Put test.n and test.neko in examples directory.
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Bumped the Standards-Version to 3.8.0.

 -- Jens Peter Secher <jps@debian.org>  Sat, 14 Mar 2009 21:01:12 +0100

neko (1.8.0-1) experimental; urgency=low

  * New upstream release.
  * Bumped debhelper version to 6.

 -- Jens Peter Secher <jps@debian.org>  Sat, 04 Oct 2008 16:44:58 +0200

neko (1.7.1-1~bpo40+1) etch-backports; urgency=low

  * Backport to Etch (no change).

 -- Jens Peter Secher <jps@debian.org>  Sun, 03 Aug 2008 13:32:05 +0200

neko (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * Call dh_makeshlibs before dh_installdeb in debian/rules.
  * Define _GNU_SOURCE to get threads to work.

 -- Jens Peter Secher <jps@debian.org>  Thu, 31 Jul 2008 13:17:14 +0200

neko (1.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Jens Peter Secher <jps@debian.org>  Thu, 27 Mar 2008 20:53:37 +0100

neko (1.6.0-4~bpo40+2) etch-backports; urgency=low

  * Pass version extracted by dpkg-parsechangelog to dh_makeshlibs instead
    of error prone hard-coding.

 -- Jens Peter Secher <jps@debian.org>  Tue, 27 Nov 2007 21:09:43 +0100

neko (1.6.0-4~bpo40+1) etch-backports; urgency=low

  * Without the Homepage field.

 -- Jens Peter Secher <jps@debian.org>  Tue, 27 Nov 2007 21:09:43 +0100

neko (1.6.0-4) unstable; urgency=low

  * Give libneko a proper SONAME to avoid breakage by new dpkg-shlibdeps.
  * Avoid a lot of unnecessary shared library dependencies.
  * Place the apache module in section web.
  * Use the Homepage field in the control file.
  * Bump debhelper to version 5.

 -- Jens Peter Secher <jps@debian.org>  Mon, 26 Nov 2007 19:03:00 +0100

neko (1.6.0-3) unstable; urgency=low

  * Fixed missing reference to shared mysqlclient library.

 -- Jens Peter Secher <jps@debian.org>  Tue, 13 Nov 2007 00:42:42 +0100

neko (1.6.0-2~bpo40+1) etch-backports; urgency=low

  * Backport to Etch (no change).

 -- Jens Peter Secher <jps@debian.org>  Sat, 08 Sep 2007 14:16:50 +0200

neko (1.6.0-2) unstable; urgency=low

  * Support non-stripped builds (DEB_BUILD_OPTIONS=nostrip).
    (Closes: #437609)

 -- Jens Peter Secher <jps@debian.org>  Sat, 18 Aug 2007 22:34:21 +0200

neko (1.6.0-1) unstable; urgency=low

  * New upstream release, which obsoletes 75-kfreebsd-defines.dpatch and
    incorporates 50-embed-endianess.dpatch .
  * New build-depends libgtk2.0-dev.
  * Update man pages.

 -- Jens Peter Secher <jps@debian.org>  Thu, 26 Jul 2007 23:39:47 +0200

neko (1.5.3-6) unstable; urgency=low

  * Drop support for obsolete Apache 1.
    (Closes: #429139)
  * Provide Apache 2 module as seperate package.

 -- Jens Peter Secher <jps@debian.org>  Sat, 16 Jun 2007 20:25:06 +0200

neko (1.5.3-5bpo1) stable; urgency=low

  * Backport to Etch (no change).

 -- Jens Peter Secher <jps@debian.org>  Sun, 27 May 2007 10:57:37 +0200

neko (1.5.3-5) unstable; urgency=low

  * Compile with -DEAPI.
    (Closes: #415803)

 -- Jens Peter Secher <jps@debian.org>  Thu, 22 Mar 2007 20:48:35 +0100

neko (1.5.3-4) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD, thanks to Cyril Brulebois.
    (Closes: #414123)

 -- Jens Peter Secher <jps@debian.org>  Sat, 10 Mar 2007 15:26:46 +0100

neko (1.5.3-3) unstable; urgency=low

  * Fix endianess problem in embedded-code loader.
    (Closes: #412567)
  
 -- Jens Peter Secher <jps@debian.org>  Sat,  3 Mar 2007 11:32:21 +0100

neko (1.5.3-2) unstable; urgency=low

  * It turned out that binaries cannot really be stripped, so no
    stripping.

 -- Jens Peter Secher <jps@debian.org>  Sat, 24 Feb 2007 16:42:32 +0100

neko (1.5.3-1) unstable; urgency=low

  * New upstream release.
  * The bootable vm implementation changed, so now binaries are now
    stripped, and the aligment patch has become obsolete.

 -- Jens Peter Secher <jps@debian.org>  Thu, 22 Feb 2007 00:19:25 +0100

neko (1.5.2-3) unstable; urgency=low

  * Fix build failure on various architectures by aligning bytecode at 16
    byte offset.
    (Closes: #406033)

 -- Jens Peter Secher <jps@debian.org>  Mon,  8 Jan 2007 22:55:16 +0100

neko (1.5.2-2) unstable; urgency=low

  * Neko modules now work for non-threaded Apache 2.2, that is, it works
    for apache2-mpm-prefork.

 -- Jens Peter Secher <jps@debian.org>  Wed,  3 Jan 2007 23:12:04 +0100

neko (1.5.2-1) experimental; urgency=low

  * New upstream release.
  * Unfortunately Apache 2.2 still hangs when serving Neko files, but I am
    leaving the setup in case others figure out why.
  * Build-Conflicts with itself because the hardcoded rpath gets in the
    way when different versions of the VM do not agree.

 -- Jens Peter Secher <jps@debian.org>  Wed, 29 Nov 2006 22:50:48 +0100

neko (1.5-3) experimental; urgency=low

  * Register Apache 1.3 module automatically if Apcahe is installed.
  * Register Apache 2.2 modules automatically if Apcahe is installed.

 -- Jens Peter Secher <jps@debian.org>  Tue, 21 Nov 2006 22:59:48 +0100

neko (1.5-2) experimental; urgency=low

  * Note to ftpmasters: Neko is written in Neko, so the files boot/* are
    needed to bootstrap the compiler.  The source for them is in src/*.

 -- Jens Peter Secher <jps@debian.org>  Tue, 21 Nov 2006 22:17:50 +0100

neko (1.5-1bpo1) stable; urgency=low

  * Fit dependencies and include directories so that is is possible to
    backport to sarge.

 -- Jens Peter Secher <jps@debian.org>  Sat, 11 Nov 2006 12:55:24 +0100

neko (1.5-1) experimental; urgency=low

  * Manpages written for the three executable.
  * The executables searches for the libneko.so by use of -rpath in
    /usr/lib/neko since we do not want this private library to end up in
    /usr/lib.
  * The dynamic modules /usr/lib/neko/*.ndll are not stripped because they
    are created as concatenations of the virtual machine bootloader and
    some bytecode, which makes stripping impossible (cf. OCaml Packaging
    Policy).  Lintian overrides included for not stripping.
  * The additional Apache modules are placed in /usr/lib/neko, but not
    registered with Apache automatically, which avoids a dependency on
    Apache until we have made proper arrangements with the Apache team.

 -- Jens Peter Secher <jps@debian.org>  Mon,  6 Nov 2006 23:58:34 +0100
